OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | Safe-Inferred

Graphics.Rendering.OpenGL.GL.IOState

Description

This is a purely internal module for an IO monad with a pointer as an additional state, basically a StateT (Ptr s) IO a.

# Documentation

newtype IOState s a Source

Constructors

IOState |
Fields runIOState :: Ptr s -> IO (a, Ptr s)

Instances

Monad (IOState s) |
Functor (IOState s) |

getIOState :: IOState s (Ptr s)Source

peekIOState :: Storable a => IOState a aSource

evalIOState :: IOState s a -> Ptr s -> IO aSource

nTimes :: Integral a => a -> IOState b c -> IOState b [c]Source